package be.iminds.ilabt.jfed.restapi.json.util;


import be.iminds.ilabt.jfed.restapi.json.Experiment;
import be.iminds.ilabt.jfed.restapi.json.ExperimentBuilder;
import be.iminds.ilabt.util.jsonld.JsonLdObjectLinkDeserializer;
import be.iminds.ilabt.util.jsonld.JsonLdObjectsMetaData;

/**
 * ExperimentDeserializer
 */
public class ExperimentDeserializer extends JsonLdObjectLinkDeserializer.LinkDeserializer<Long, Experiment, ExperimentBuilder> {
    public ExperimentDeserializer() {
        super(JsonLdObjectsMetaData.getInstance(),
                Long.class, Experiment.class, ExperimentBuilder.class,
                "experiment", "Experiment");
    }
}
